GET
/repos/{owner}/{repo}/code-scanning/codeql/variant-analyses/{codeql_variant_analysis_id}/repos/{repo_owner}/{repo_name}Get the analysis status of a repository in a CodeQL variant analysis
Gets the analysis status of a repository in a CodeQL variant analysis.
OAuth app tokens and personal access tokens (classic) need the security_events scope to use this endpoint with private or public repositories, or the public_repo scope to use this endpoint with only public repositories.
ownerstringrequired
The account owner of the repository. The name is not case sensitive.
repostringrequired
The name of the controller repository.
codeql_variant_analysis_idintegerrequired
The ID of the variant analysis.
repo_ownerstringrequired
The account owner of the variant analysis repository. The name is not case sensitive.
repo_namestringrequired
The name of the variant analysis repository.
200Response
repositoryobjectrequired
A GitHub repository.
analysis_statusstringrequired
The new status of the CodeQL variant analysis repository task.
artifact_size_in_bytesintegeroptional
The size of the artifact. This is only available for successful analyses.
result_countintegeroptional
The number of results in the case of a successful analysis. This is only available for successful analyses.
failure_messagestringoptional
The reason of the failure of this repo task. This is only available if the repository task has failed.
database_commit_shastringoptional
The SHA of the commit the CodeQL database was built against. This is only available for successful analyses.
source_location_prefixstringoptional
The source location prefix to use. This is only available for successful analyses.
artifact_urlstringoptional
The URL of the artifact. This is only available for successful analyses.
404Resource not found
messagestringoptional
documentation_urlstringoptional
urlstringoptional
statusstringoptional
503Service unavailable
codestringoptional
messagestringoptional
documentation_urlstringoptional
Error handling
A 404 is returned: Resource not found. A 503 is returned: Service unavailable.